All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
terminal-color.hh File Reference
`#include <roboptim/core/debug.hh>`
`#include <iostream>`
`#include <cstdio>`
`#include <unistd.h>`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::fg

## Macros

#define | ROBOPTIM_CORE_FILTER_TTY()

## Functions

std::ostream & | roboptim::fg::reset (std::ostream &o)
std::ostream & | roboptim::fg::red (std::ostream &o)
std::ostream & | roboptim::fg::green (std::ostream &o)
std::ostream & | roboptim::fg::yellow (std::ostream &o)
std::ostream & | roboptim::fg::blue (std::ostream &o)
std::ostream & | roboptim::fg::orange (std::ostream &o)
std::ostream & | roboptim::fg::ok (std::ostream &o)
std::ostream & | roboptim::fg::fail (std::ostream &o)
std::ostream & | roboptim::fg::warn (std::ostream &o)

## Macro Definition Documentation

#define ROBOPTIM_CORE_FILTER_TTY | ( |  | ) |

Value:
do \
{ \
if (o == std::cout && !isatty (fileno (stdout))) \
return o; \
if (o == std::cerr && !isatty (fileno (stderr))) \
return o; \
if (o != std::cout && o != std::cerr) \
return o; \
} \
while (0)

Referenced by roboptim::fg::blue(), roboptim::fg::green(), roboptim::fg::orange(), roboptim::fg::red(), roboptim::fg::reset(), and roboptim::fg::yellow().